/*
	kcmd command processor - Copyright (C) 2009 Kevin Stokes.

	This file is part of the kcmd command processor distribution
	originally availabe from http://www.boldinventions.com

	This program is free software; you can redistribute it and/or modify
	it under the terms of the Eclipse Public License - v 1.0.

	This software has NO WARRANTY.  Use it at your own risk;   It 
	has no warranty of any kind, implied or otherwise.

	There should be a copy of the Eclipse Public License along with
	this source code.  If not, it can be found on the eclipse.org
        website:  http://www.eclipse.org

*/

/** \file kcmd_first_command.h includes the first command in the list.
 *
 */
#ifndef KCMD_FIRST_COMMAND_H__
#define KCMD_FIRST_COMMAND_H__

/* If we are in a c++ environment, make sure the compiler knows these are */
/* straight C functions. */
#ifdef __cplusplus
extern "C" {
#endif

KCCHAR KCCATTR g_str_help[] =  KT("help");
KCCHAR KCCATTR g_str_help_help[] = KT("[] -- [] This Help Command") ;

const KCMD_CMD_LIST_ELEM KCSTRUCTATTR g_kcmd_help = { &PREVNAME, g_str_help, kcmd_Help, g_str_help_help, g_str_system }; 


#ifdef __cplusplus
} /* extern "C" ... */
#endif

#endif /* KCMD_FIRST_COMMAND_H__ */
