/*
	kcmd command processor - Copyright (C) 2009 Kevin Stokes.

	This file is part of the kcmd command processor distribution
	originally availabe from http://www.boldinventions.com

	This program is free software; you can redistribute it and/or modify
	it under the terms of the Eclipse Public License - v 1.0.

	This software has NO WARRANTY.  Use it at your own risk;   It 
	has no warranty of any kind, implied or otherwise.

	There should be a copy of the Eclipse Public License along with
	this source code.  If not, it can be found on the eclipse.org
        website:  http://www.eclipse.org

*/

/** \file kcmdIncludes.h are the boilerplate .h files to include.
  *
  */
#ifndef KCMDPORTINCLUDES_H__
#define KCMDPORTINCLUDES_H__



/*
 * The following are include files in the port folder which also
 * get ported to a specific architecture. 
 */
#include "kcmdPlatform.h"
#include "kcmdSimpleInterface.h"

/*
 * Thise include files should not have to change for different 
 * architectures.
 */
#include "user_io.h"
#include "kcmd.h"
#include "kcmd_helper.h"



#endif /* KCMDPORTINCLUDES_H__ */
